#include "register_types.h"

#include "core/object/class_db.h"
#include "tabtargeting/equipment.h"
#include "tabtargeting/actor_body.h"

void initialize_tabtargeting_module(ModuleInitializationLevel p_level) {
	if (p_level != MODULE_INITIALIZATION_LEVEL_SCENE) {
		return;
	}
	ClassDB::register_class<ActorBody>();
	ClassDB::register_class<DamageStats>();
	ClassDB::register_class<EquipItem>();
	ClassDB::register_class<Weapon>();
	ClassDB::register_class<Armor>();
	ClassDB::register_class<Equipment>();
}

void uninitialize_tabtargeting_module(ModuleInitializationLevel p_level) {
	if (p_level != MODULE_INITIALIZATION_LEVEL_SCENE) {
		return;
	}
}
